<div
  [ngClass]="[
    'home-banner',
    jds.bg(jdsBiColor.blue['800']),
    jds.text('white'),
    jds.pt(120),
    jds.pb(150)
  ]"
>
  <div [ngClass]="jds.container">
    <div [ngClass]="[jds.row, jds.alignItems('center')]">
      <div [ngClass]="[jds.col(6), jds.offset(1)]">
        <h4>Satu Data</h4>
        <p [ngClass]="[jds.mb(30)]">
          Temukan data yang diterbitkan oleh pemerintah pusat, otoritas lokal,
          dan badan publik untuk membantu Anda dalam pengambilan keputusan dan
          perumusan kebijakan yang lebih terukur.
        </p>

        <ng-select
          [items]="dataSearch$ | async"
          [typeahead]="inputSearch$"
          [loading]="isLoading"
          [minTermLength]="2"
          (change)="onSelectedSearch($event)"
          placeholder="Cari Dataset, Mapset, Indikator, atau Visualisasi"
          bindLabel="search"
          typeToSearchText="Masukan Kata Kunci"
        >
          <ng-template
            ng-option-tmp
            let-item="item"
            let-index="index"
            let-search="searchTerm"
          >
            <strong>{{ item.search }}</strong> {{ item.content }}
          </ng-template>
        </ng-select>
      </div>

      <div [ngClass]="[jds.d('block'), jds.col(4)]">
        <img
          [ngClass]="[jds.d('block'), jds.ms('auto')]"
          [style.width.%]="66"
          alt="Satu Data"
          ngSrc="/assets/images/illustration.png"
          height="233"
          width="264"
          priority
        />
      </div>
    </div>
  </div>
</div>
